net.fortuna.ical4j.model.parameter

## Class DelegatedFrom

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Parameter
    - - net.fortuna.ical4j.model.parameter.DelegatedFrom

All Implemented Interfaces:
  Serializable

    public class DelegatedFrom
    extends Parameter

$Id$ [18-Apr-2004] Defines a Delegators parameter.

Author:
  benfortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Parameter

`ABBREV, ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SCHEDULE_AGENT, SCHEDULE_STATUS, SENT_BY, TYPE, TZID, VALUE, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`DelegatedFrom(AddressList aList)`
`DelegatedFrom(String aValue)`

### Method Summary

Methods
`AddressList` `getDelegators()`
`String` `getValue()`
`protected boolean` `isQuotable()` Indicates whether the current parameter value should be quoted.

### Methods inherited from class net.fortuna.ical4j.model.Parameter

`copy, equals, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DelegatedFrom

    public DelegatedFrom(String aValue)
                  throws URISyntaxException

Parameters:
  `aValue` - a string representation of Delegators
Throws:
  `URISyntaxException` - when the specified string is not a valid list of cal-addresses

#### DelegatedFrom

    public DelegatedFrom(AddressList aList)

Parameters:
  `aList` - a list of addresses

### Method Detail

#### getDelegators

    public final AddressList getDelegators()

Returns:
  Returns the delegators addresses.

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### isQuotable

    protected boolean isQuotable()

Indicates whether the current parameter value should be quoted.

Overrides:
  `isQuotable` in class `Parameter`
Returns:
  true if the value should be quoted, otherwise false